/*
 * Copyright (C) 2016 Texas Instruments Incorporated - http://www.ti.com/ 
 * 
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/

#define NX 256
#define NH 8
#define FNAME "t7"
#define MAXERROR 10  // max absolute value 

DATA x[NX] ={
-778,
32285,
-8302,
2056,
-20886,
127,
-5100,
10513,
11380,
29971,
-20194,
-25480,
4263,
30747,
-31212,
24262,
-31007,
1279,
-20166,
14135,
-16340,
28433,
-23778,
1417,
25899,
28992,
-10808,
-4105,
-1891,
-22983,
-23864,
2129,
14797,
-6639,
-9279,
-14072,
24158,
8284,
-16963,
31331,
9207,
-17705,
11883,
10867,
-23940,
-31294,
-15585,
-25133,
-28226,
23129,
-20950,
-30644,
15330,
2393,
-14679,
-8621,
-31924,
25506,
23987,
-16106,
4553,
-22331,
6184,
-11070,
10394,
23831,
4431,
31488,
19125,
-22768,
21825,
-20195,
9108,
11075,
17831,
-7877,
-3829,
-1111,
7084,
-21234,
-32636,
19020,
891,
-18794,
-25989,
-22457,
-6062,
-6046,
-29315,
28954,
-22940,
-7578,
-12383,
-21723,
25994,
-11618,
15335,
-5839,
-6568,
361,
-21673,
1621,
9253,
-31707,
22075,
19887,
12962,
-2498,
-27354,
21018,
-20119,
-3582,
-31919,
-12535,
24598,
21971,
-10939,
24949,
-1332,
3985,
7596,
10610,
7643,
12133,
665,
14022,
996,
6938,
30585,
21110,
-11944,
5747,
-24236,
-16099,
19859,
10999,
-31875,
4035,
-2978,
26538,
-14277,
-28506,
-1535,
31700,
27679,
4010,
9982,
17870,
-25810,
-32698,
2737,
-32319,
-3190,
-19946,
18818,
7770,
-31751,
25614,
17150,
26675,
16945,
-7817,
-11069,
267,
4231,
17511,
18341,
-1043,
19805,
-1900,
-19480,
5217,
10911,
11584,
29000,
17704,
15558,
24003,
32174,
257,
8459,
19176,
-3366,
1596,
-21531,
-24205,
-18430,
-25856,
-23500,
-2821,
18883,
-14349,
-18037,
26795,
-32288,
5815,
2760,
10061,
-12227,
-17619,
-5501,
-13186,
11300,
28721,
-10280,
4126,
-24977,
-21692,
-14491,
3723,
-945,
29636,
-17569,
-1399,
1738,
19183,
-20120,
26843,
27669,
-31899,
17534,
29317,
20532,
27776,
-19727,
11421,
27990,
-10236,
6192,
7568,
-32547,
31589,
26182,
12632,
-3955,
13174,
7190,
-13115,
23333,
-25424,
-13661,
-26382,
-6721,
-10925,
29113,
22187,
-15832,
-29957,
-32383,
4877,
15984,
20108,
9015,
-16301,
-23310,
9932,
};

DATA h[NH] ={
6423,
4548,
6195,
-2737,
-3329,
524,
-4849,
-4162,
};

DATA rtest[NX+NH-1] ={
-153,
6221,
2707,
5419,
-7996,
-5085,
-3627,
-1899,
1998,
10271,
4824,
-1598,
-9272,
-283,
596,
2265,
-12839,
6420,
-5396,
-5253,
-909,
7409,
-1409,
5707,
3111,
8851,
10177,
-1644,
-8107,
-4362,
-10333,
-14418,
-1353,
7433,
2736,
-3496,
6563,
6719,
1944,
3719,
1791,
7953,
-936,
-8086,
1565,
-8932,
-19666,
-10471,
-6259,
-3156,
-890,
7789,
1604,
1449,
12779,
-1616,
-12316,
7362,
6080,
6000,
6034,
-8757,
4108,
-3614,
-3974,
5183,
7452,
14374,
7655,
2373,
1903,
-14806,
-111,
-4809,
-970,
5605,
-985,
-4491,
751,
-4779,
-11696,
-6456,
-753,
5682,
-7056,
-11851,
90,
-848,
-6065,
5502,
973,
10393,
-3605,
-7241,
8271,
-1901,
8975,
2659,
1577,
3158,
-7784,
-2818,
-2309,
-4040,
5461,
464,
14370,
9107,
-9245,
617,
-6228,
-2522,
-14019,
-9735,
4091,
8423,
10096,
9319,
1777,
10297,
-878,
-5086,
3437,
2082,
-1306,
3119,
-983,
449,
3624,
5432,
4276,
-1943,
-12899,
-7244,
-7260,
-3890,
2018,
-1299,
-6389,
12874,
2505,
-7374,
-5487,
2511,
13720,
9868,
3540,
6121,
516,
-11908,
-19447,
-15747,
-942,
-11696,
3764,
12073,
3632,
6920,
2610,
17972,
11226,
-2220,
100,
-6571,
-7659,
-65,
1907,
4099,
7947,
302,
-2494,
-6424,
-7628,
4734,
8070,
5698,
12121,
8490,
6064,
3321,
-1287,
-6198,
-3855,
-2274,
-14902,
-13088,
-11813,
-14533,
-9384,
-4859,
5494,
9885,
6052,
4535,
-25,
8392,
-7828,
2865,
7236,
-6262,
-5489,
-3397,
1072,
4920,
6017,
9279,
-6974,
-6168,
-9412,
-9566,
-120,
10091,
4476,
8740,
-596,
3468,
1090,
1546,
2380,
4860,
4270,
-6270,
12233,
14640,
-8374,
1545,
863,
-3372,
-182,
-10124,
-6574,
4891,
-3654,
12091,
7101,
-3402,
3136,
-157,
-4270,
-11421,
-2239,
-13823,
-10757,
-2938,
4316,
10146,
11903,
334,
-14141,
-7199,
-767,
5596,
9507,
5952,
243,
-3520,
};

DATA x_np[NX+NH-1] = {
0,
0,
0,
0,
0,
0,
0,
-778,
32285,
-8302,
2056,
-20886,
127,
-5100,
10513,
11380,
29971,
-20194,
-25480,
4263,
30747,
-31212,
24262,
-31007,
1279,
-20166,
14135,
-16340,
28433,
-23778,
1417,
25899,
28992,
-10808,
-4105,
-1891,
-22983,
-23864,
2129,
14797,
-6639,
-9279,
-14072,
24158,
8284,
-16963,
31331,
9207,
-17705,
11883,
10867,
-23940,
-31294,
-15585,
-25133,
-28226,
23129,
-20950,
-30644,
15330,
2393,
-14679,
-8621,
-31924,
25506,
23987,
-16106,
4553,
-22331,
6184,
-11070,
10394,
23831,
4431,
31488,
19125,
-22768,
21825,
-20195,
9108,
11075,
17831,
-7877,
-3829,
-1111,
7084,
-21234,
-32636,
19020,
891,
-18794,
-25989,
-22457,
-6062,
-6046,
-29315,
28954,
-22940,
-7578,
-12383,
-21723,
25994,
-11618,
15335,
-5839,
-6568,
361,
-21673,
1621,
9253,
-31707,
22075,
19887,
12962,
-2498,
-27354,
21018,
-20119,
-3582,
-31919,
-12535,
24598,
21971,
-10939,
24949,
-1332,
3985,
7596,
10610,
7643,
12133,
665,
14022,
996,
6938,
30585,
21110,
-11944,
5747,
-24236,
-16099,
19859,
10999,
-31875,
4035,
-2978,
26538,
-14277,
-28506,
-1535,
31700,
27679,
4010,
9982,
17870,
-25810,
-32698,
2737,
-32319,
-3190,
-19946,
18818,
7770,
-31751,
25614,
17150,
26675,
16945,
-7817,
-11069,
267,
4231,
17511,
18341,
-1043,
19805,
-1900,
-19480,
5217,
10911,
11584,
29000,
17704,
15558,
24003,
32174,
257,
8459,
19176,
-3366,
1596,
-21531,
-24205,
-18430,
-25856,
-23500,
-2821,
18883,
-14349,
-18037,
26795,
-32288,
5815,
2760,
10061,
-12227,
-17619,
-5501,
-13186,
11300,
28721,
-10280,
4126,
-24977,
-21692,
-14491,
3723,
-945,
29636,
-17569,
-1399,
1738,
19183,
-20120,
26843,
27669,
-31899,
17534,
29317,
20532,
27776,
-19727,
11421,
27990,
-10236,
6192,
7568,
-32547,
31589,
26182,
12632,
-3955,
13174,
7190,
-13115,
23333,
-25424,
-13661,
-26382,
-6721,
-10925,
29113,
22187,
-15832,
-29957,
-32383,
4877,
15984,
20108,
9015,
-16301,
-23310,
9932,
};

